import { App } from "aws-cdk-lib";
import { AutomationTagsProps, CostCenterTagsProps, SecurityTagsProps, StandardTagsOptions, TeamTagsProps } from "./standard-tags";
/**
 * Properties for StandardApp
 */
export interface StandardAppProps extends StandardTagsOptions {
}
/**
 * Extends App providing support for tags and a standard for environment names.
 */
export declare class StandardApp extends App {
    readonly environmentName: string;
    readonly automationTags?: AutomationTagsProps;
    readonly costCenterTags?: CostCenterTagsProps;
    readonly securityTags?: SecurityTagsProps;
    readonly teamTags?: TeamTagsProps;
    readonly suppressTags?: boolean;
    constructor(props: StandardAppProps);
}
