import { ExtendedStack, ExtendedStackProps } from "./extended-stack";
import { StandardApp } from "./standard-app";
import { StandardStage } from "./standard-stage";
import { StandardEnvironment } from "./standard-environment";
import { AutomationTagsProps, CostCenterTagsProps, SecurityTagsProps, StandardTagsOptions, TeamTagsProps } from "./standard-tags";
/**
 * Properties for StandardStack.
 */
export interface StandardStackProps extends ExtendedStackProps, StandardTagsOptions {
    /**
     * Environment the stack will be deployed to.
     */
    readonly env: StandardEnvironment;
}
/**
 * Adds support for tags and environment names.
 */
export declare class StandardStack extends ExtendedStack {
    readonly automationTags?: AutomationTagsProps;
    readonly costCenterTags?: CostCenterTagsProps;
    readonly securityTags?: SecurityTagsProps;
    readonly teamTags?: TeamTagsProps;
    readonly suppressTags?: boolean;
    constructor(scope: StandardApp | StandardStage, stackName: string, props: StandardStackProps);
}
