import { Stage, StageProps } from "aws-cdk-lib";
import { StandardApp } from "./standard-app";
import { AutomationTagsProps, CostCenterTagsProps, SecurityTagsProps, StandardTagsOptions, TeamTagsProps } from "./standard-tags";
/**
 * Properties for StandardStage.
 */
export interface StandardStageProps extends StageProps, StandardTagsOptions {
}
/**
 * Adds support for tags.
 */
export declare class StandardStage extends Stage {
    private readonly app;
    readonly automationTags?: AutomationTagsProps;
    readonly costCenterTags?: CostCenterTagsProps;
    readonly securityTags?: SecurityTagsProps;
    readonly teamTags?: TeamTagsProps;
    readonly suppressTags?: boolean;
    constructor(scope: StandardApp, id: string, props: StandardStageProps);
}
